Subject: bug#43232: [PATCH] gnu: jack-2: Update to 1.9.14.

From: Mike Rosset <[email-masked]>
Date: Tue, 15 Sep 2020 00:29:43 -0700

Efraim Flashner <[email-masked]> writes:

> On Mon, Sep 14, 2020 at 09:25:25PM -0700, Mike Rosset wrote:
>>         (modify-phases %standard-phases
>> +         (add-after 'unpack 'declare-for-int
>> +           (lambda _
>> +             ;; Declare the for loop i incrementer.
>> +             (substitute* "dbus/sigsegv.c"
>> +               (("for\\(i = 0") "for(int i = 0"))
>> +             #t))
>
> Any chance of an upstream bug number or something for this? It seems
> like the type of thing that might be put into a snippet.
>

That's a good idea, in retrospect Andreas did not report having this
issue.  Let me do a second in series that removes this hunk.

The second hunk resolves the undefined reference to symbol
'__gxx_personality_v0@@CXXABI_1.3 I think that change is a safe one..

Then I can do some follow up the for loop initialization
errors. Hopefully it's just not me effected by that error. I'll see
about making this a snippet as well.

Mike